var vows = require('vows');
    assert = require('assert');

var Runways = require('../lib/runways');

vows.describe("Runways test flights").addBatch({
        "Add routes": {
            topic: Runways,
            'Add one route properly': {
                topic: function () { return Runways.add("default","/",function() {}); },
                'Returns true': function (topic) {
                        assert.isTrue(topic);
                    }
            },
            'Add two of the same route': {
                topic: function() 
                    {
                        Runways.add("default","/",function() {});
                        return Runways.add("default","/",function() {});
                    },
                 'Throws an error': function (topic) {
                        assert.throws(topic, Error);
                    }
            }
        }
    }).run();
